2019-12-10 11:09 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001813FSSCPFREDpublic2009-05-11 05:00
Reporterkarajorma 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindows XP ProOS VersionSP3
Product Version 
Target VersionFixed in Version3.6.11 
Summary0001813: OPF_POSITIVE / OPR_NUMBER missmatch
DescriptionDespite having arguments which return OPF_POSITIVE from query_operator_argument_type() you can still supply a negative number as the argument in FRED for several SEXPs (Explosion-effect is a good example of this).

In some cases this can even cause CTDs as there are several cases in SEXPs like that where the code simply uses eval_num() and then uses that as an array index. This isn't really a problem with the SEXP itself as non-positive constants should have been caught on mission load anyway and arguments which involve SEXPs that can return a non-positive number appear to have already been fixed to return a positive number.
Steps To ReproduceUse explosion-effect with a negative number for the sound index.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010838

karajorma (administrator)

Fixed in my branch.
+Notes

-Issue History
Date Modified Username Field Change
2008-11-10 15:21 karajorma New Issue
2008-11-10 15:21 karajorma Status new => assigned
2008-11-10 15:21 karajorma Assigned To => karajorma
2009-04-24 11:51 karajorma Note Added: 0010838
2009-05-11 05:00 karajorma Status assigned => resolved
2009-05-11 05:00 karajorma Fixed in Version => 3.6.11
2009-05-11 05:00 karajorma Resolution open => fixed
+Issue History